# @(#) Makefile
# @(#) Mynor Ramirez 
# @(#) Mantenimiento de colores de producto

# Programas 
NAME     = colores.4ge 
OBJFILES = invglo002.4gl invmae002.4gl invqbe002.4gl
FRMFILES = invmae002a.per 
LIBFILES = ../../lib/libgrales.42x 

# Compilando y linkeando programas 
all:
	@make -f ../../cmd/prog4js NAME="$(NAME)" \
        LIBFILES="$(LIBFILES)" OBJFILES="$(OBJFILES)" \
        FRMFILES="$(FRMFILES)" $(NAME)
	cp *42m *42f *42r ../bin 

# Compilando formas
form:
	@make -f ../../cmd/prog4js $(FRMFILES) 

# Limpiando archivos de compilacion
clean: 
	@make -f ../../cmd/prog4js clean 
